%define oname	pygoocanvas
%define pycairo	1.8.4

Name:		python-%{oname}
Summary:	GooCanvas python bindings
Version:	0.14.1
Release:	%mkrel 9
URL:		http://developer.berlios.de/projects/pygoocanvas/
License:	LGPLv2
Group:		Development/Python
BuildRequires:	pkgconfig(goocanvas) >= 0.14
BuildRequires:	pkgconfig(pygtk-2.0) >= 2.10.4
BuildRequires:	python-cairo >= %{pycairo}
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-style-xsl
Requires:	python-cairo >= %{pycairo}
Provides:	%{oname} = %{version}-%{release}
Source:		https://download.gnome.org/sources/%{oname}/%{oname}-%{version}.tar.bz2
Patch0:		0001-Check-the-return-value-of-PycairoContext_FromContext.patch

%description
This package includes Python bindings for GooCanvas. It is
needed to run programs written in Python and using GooCanvas
set.

%package devel
Summary:	GooCanvas python bindings - Development files
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description devel
This package includes development files of python bindings for GooCanvas.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc %{_datadir}/gtk-doc/html/%{oname}
%{python_sitearch}/*

%files devel
%{_libdir}/pkgconfig/*.pc




%changelog
* Sun Jan 31 2016 umeabot <umeabot> 0.14.1-9.mga6
+ Revision: 929488
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.14.1-8.mga5
+ Revision: 740906
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.14.1-7.mga5
+ Revision: 729459
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.14.1-6.mga5
+ Revision: 688258
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.14.1-5.mga4
+ Revision: 517784
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.14.1-4.mga3
+ Revision: 379357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 18 2011 wally <wally> 0.14.1-3.mga1
+ Revision: 53518
- fix license
- drop buildroot definition
- clean .spec a bit
- imported package python-pygoocanvas


* Mon Nov 15 2010 Maarten Vanraes <alien@mandriva.org> 0.14.1-2mdv2011.0
+ Revision: 597776
- fixes a major issue with dependant programs like pitivi

* Sun May 10 2009 Götz Waschk <waschk@mandriva.org> 0.14.1-1mdv2011.0
+ Revision: 374089
- new version
- bump deps

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 0.14.0-1mdv2009.1
+ Revision: 357123
- update to new version 0.14.0

* Sat Dec 27 2008 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2009.1
+ Revision: 319929
- update to new version 0.13.1

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.13.0-2mdv2009.1
+ Revision: 319469
- rebuild with python 2.6

* Sun Nov 30 2008 Götz Waschk <waschk@mandriva.org> 0.13.0-1mdv2009.1
+ Revision: 308605
- new version
- bump deps

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2009.0
+ Revision: 286435
- new version
- new source URL

* Wed Jun 25 2008 Funda Wang <fwang@mandriva.org> 0.10.0-1mdv2009.0
+ Revision: 229067
- New version 0.10.0

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Mon Sep 03 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.0-1mdv2008.0
+ Revision: 78462
- update goocanvas buildrequires version
- new release 0.9.0, rebuild against new libgoocanvas

* Wed Jul 25 2007 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2008.0
+ Revision: 55311
- BR docbook-style-xsl
- Bump release
- Fill the file list
- Import pygoocanvas
- Created package structure for python-pygoocanvas.

